0

Using CiviCRM 5.37.2.

I'm trying to use the oath-client extension to do OAuth authentication of a Google Workspace (GSuite) account for bounce processing. The credentials are created on the Google side of things, and when I set up the Mail Account in CiviCRM and assign it to bounce processing, it works; "Save and Test" responds positively. And if I then go to the Scheduled Jobs and immediately execute the Bounces Fetcher job, it completes successfully.

However, after a little while, it fails to run, with this error:

Parameters parsed (and passed to API method):
a:1:{s:7:"version";i:3;}

Full message:
Finished execution of Bounces fetcher with result: Failure, Error message: Could not connect to MailStore for [the email address used for bounce processing]
Error message:

Required parameter not passed: "refresh_token"

Is this a problem with the oauth-client extension, or have I mis-set a setting somewhere in CiviCRM?

0

It's a known issue with using google + civi oauth. See https://lab.civicrm.org/dev/core/-/issues/2184

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.